#version 330 core

layout(location = 0) out vec4 vFragColor;	//wyjście shadera fragmentów
	
//uniform
uniform samplerCube cubeMap;	//sampler tekstury sześciennej

//dane z shadera wierzchołków
smooth in vec3 uv;	//interpolowane współrzędne 3D dla tekstury

void main()
{
	//zwracanie koloru pobranego z tekstury
	vFragColor = texture(cubeMap, uv);
}